unbound: replay_runtime Struct Reference

unbound 0.1

Data Fields
replay_runtime Struct Reference

Replay storage of runtime information. More...

`#include <replay.h>`

## Data Fields
struct replay_scenario * | scenario
| The scenario.
struct replay_moment * | now
| Current moment.
struct fake_pending * | pending_list
| List of pending queries in order they were sent out.
struct replay_answer * | answer_list
| List of answers to queries from clients.
struct replay_answer * | answer_last
| last element in answer list.
struct fake_timer * | timer_list
| list of fake timer callbacks that are pending
comm_point_callback_type * | callback_query
| callback to call for incoming queries
void * | cb_arg
| user argument for incoming query callback
struct infra_cache * | infra
| ref the infra cache (was passed to outside_network_create)
time_t | now_secs
| the current time in seconds
struct timeval | now_tv
| the current time in microseconds
int | tcp_seen_keepalive
| has TCP connection seen a keepalive?
void(* | sig_cb )(int, void *)
| signal handler callback
void * | sig_cb_arg
| signal handler user arg
int | exit_cleanly
| time to exit cleanly
size_t | bufsize
| size of buffers
rbtree_type * | vars
| Tree of macro values.

## Detailed Description

Replay storage of runtime information.

## Field Documentation

## ◆ pending_list

struct fake_pending* replay_runtime::pending_list

List of pending queries in order they were sent out.

First one has been sent out most recently. Last one in list is oldest.

Referenced by comm_base_delete(), expon_timeout_backoff(), fake_pending_callback(), outnet_serviced_query_stop(), pending_list_delete(), pending_matches_current(), pending_matches_range(), pending_tcp_query(), pending_udp_query(), and run_scenario().

## ◆ answer_list

struct replay_answer* replay_runtime::answer_list

List of answers to queries from clients.

These need to be checked.

Referenced by answer_check_it(), comm_base_delete(), comm_point_send_reply(), do_moment_and_advance(), and run_scenario().

## ◆ vars

rbtree_type* replay_runtime::vars

Tree of macro values.

Of type replay_var

Referenced by autotrust_check(), comm_base_delete(), moment_assign(), tempfile_check(), and time_passes().

The documentation for this struct was generated from the following file:

- testcode/replay.h